html, body{ display: block; margin: 0; overflow-x: hidden; font-family: "Inter", sans-serif; font-optical-sizing: auto; background: #000; }

body { min-height: 100dvh; display: flex; flex-direction: column; }

*{ margin: 0; padding: 0; box-sizing: border-box; font-family: "Inter", sans-serif; font-optical-sizing: auto; vertical-align: top; outline: none; color: var(--main-text-color-dark); list-style: none;  }


/*
*
* SCROLL
*
*/
/* width */
::-webkit-scrollbar{ width: 9px; }

/* Track */
::-webkit-scrollbar-track{ background: transparent; }
 
/* Handle */
::-webkit-scrollbar-thumb{ background: #ccc; border: 3px solid transparent; background-clip: content-box; border-radius: 10px; }

/* Handle on hover */
::-webkit-scrollbar-thumb:hover{ background: #bbb; border: 3px solid transparent; background-clip: content-box; border-radius: 10px; }

/* Buttons */
::-webkit-scrollbar-button:single-button {
    background-color: transparent;
    display: block;
    background-size: 3px;
    background-repeat: no-repeat;
}

/* Up */
::-webkit-scrollbar-button:single-button:vertical:decrement {
    width: 9px;
    height: 9px;
    background-position: center;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' style='fill: %23ccc;'><polygon points='50,00 0,50 100,50'/></svg>");
    background-size: 50%;
}

::-webkit-scrollbar-button:single-button:vertical:decrement:hover {
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' style='fill: %23ccc;'><polygon points='50,00 0,50 100,50'/></svg>");
}

/* Down */
::-webkit-scrollbar-button:single-button:vertical:increment {
    width: 9px;
    height: 9px;
    background-position: center;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' style='fill: %23ccc;'><polygon points='0,0 100,0 50,50'/></svg>");
    background-size: 50%;
}

::-webkit-scrollbar-button:single-button:vertical:increment:hover {
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' style='fill: %23ccc;'><polygon points='0,0 100,0 50,50'/></svg>");
}



/*
*
* FORM
*
*/
input, select, textarea{ width: 100%; padding: 10px; font-size: 14px; border-radius: 0; outline: none; border: 1px solid #ccc; transition: all .3s; }
input:focus, select:focus, textarea:focus{ box-shadow: 0 0 10px rgba(0, 0, 0, .2); }
input.error, select.error, textarea.error{ border-color: #e44b00; box-shadow: 0 0 10px rgba(228, 75, 0, .2); }
button{ background: var(--main-color); cursor: pointer; border: 0; outline: none; padding: 18px 26px; font-size: 21px; font-weight: 800; color: var(--main-text-color-clean); }
button:hover{ background: var(--main-color-dark); }

input[type="checkbox"]{ -webkit-appearance: none; appearance: none; background-color: var(--form-background); margin: 0; font: inherit; color: currentColor; width: 16px; height: 16px; padding: 0px; border: 1px solid rgb(0 0 0); display: grid; place-content: center; box-shadow: none; transition: all .3s; }
input[type="checkbox"]:hover { border-color: #8a8a8a; }
input[type="checkbox"]::before { content: ""; width: 10px; height: 10px; clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%); transform: scale(0); background-color: #fff; transition: all .3s; }
input[type="checkbox"]:checked{ background: var(--main-color); border-color: var(--main-color); }
input[type="checkbox"]:checked::before{ transform: scale(1); }
input[type="checkbox"]:disabled{ --form-control-color: var(--form-control-disabled); color: var(--form-control-disabled); cursor: not-allowed; }

input[type="radio"]{ -webkit-appearance: none; appearance: none; background-color: var(--form-background); margin: 0; font: inherit; color: currentColor; width: 16px; height: 16px; padding: 0px; border: 1px solid var(--main-color); border-radius: 50%; place-content: center; box-shadow: none; box-sizing: border-box; transition: all .3s; }
input[type="radio"]::before { content: ""; display: block; width: 100%; height: 100%; border-radius: 50%; background: var(--main-color); transform: scale(0); border: 2px solid #fff; box-sizing: border-box; transition: all .3s; }
input[type="radio"]:hover { border-color: var(--main-color); }
input[type="radio"]:checked{ border-color: var(--main-color); }
input[type="radio"]:checked::before{ transform: scale(.8); border: 0px; }
input[type="radio"]:disabled{ border-color: var(--form-radio-disabled); cursor: not-allowed; }

/*
* NO APP
*/
.noapp{ display: none; }

.app{ position: relative; width: 100%; max-width: 428px; margin: 0 auto; flex: 1; display: flex; flex-direction: column; background: #e0f9db; }


.consolemeu{ display: none; position: absolute; inset: 0; width: 100%; height: calc(100% - var(--height-header)); top: var(--height-header); z-index: 399; background: #fff; }
.consolemeu > span{ position: absolute; right: 0px; top: var(--height-header); width: 20px; height: 20px; border-radius: 50%; background: red; }
.consolemeu .content_consolemeu{ width: 100%; height: 100%; overflow: scroll; font-size: 11px; }
.consolemeu .content_consolemeu .lineconsolemeu{ padding: 10px; border-bottom: 1px solid #ccc; overflow-wrap: break-word; }



/*
* MAIN CONTENT
*/
.content_main{ display: none; min-height: 100vh; }


/*
* SECTION Get Location User
*/
.sec_getlocation_user{ position: absolute; left: 0px; top: 0px; width: 100%; height: 100%; display: none; }
.wrapper_content{ position: relative; left: 0px; top: 0px; width: 100%; height: 100%; display: flex; align-items: center; justify-content: center; background: #e0f9db; z-index: 500; }


/*
* HEADER
*/
header{ display: block; position: relative; z-index: 400; width: 100%; height: var(--height-header); background: var(--main-color); }
.content_header{ display: flex; justify-content: space-between; height: 100%; background: rgba(3,63,47,.1); padding: 10px 20px; }
.user_info{ display: flex; }

.user_info .logo{ width: 34px; height: auto; margin-top: -4px; margin-right: 6px; }
.user_info .logo img{ display: block; width: 100%; height: auto; }

.user_info p{ font-size: 14px; color: #e0f9db; padding-top: 1px; }
.user_info p b{ color: #e0f9db; }

.logout{ display: flex; align-items: center; font-size: 12px; color: #e0f9db; margin-left: 10px; padding-left: 10px; border-left: 1px solid #00ad57; cursor: pointer; }

.icon_notification{ width: 18px; height: 18px; background: url("../imagens/icon_notification.svg") no-repeat center; background-size: contain; margin-right: 6px; }

/*
* VIEWS
*/
.view{ display: none; position: absolute; top: var(--height-header); width: 100%; height: calc(100% - var(--height-header)); min-height: calc(100% - var(--height-header)); transition: transform 0.3s ease; background: #f4f5f4; z-index: 0; }

.view.active{
    display: block;
    z-index: 100;
}


/*
* LOADING MAIN
*/
.loading_app{ top: 0px; display: block; align-items: center; justify-content: center; height: 100%; background: var(--main-color) url(../imagens/icon-shopao-line.svg) no-repeat center; background-size: contain; }
.content_loading{ display: flex; align-items: center; justify-content: center; height: 100%; font-size: 81px; font-weight: 100; color: #e0f9db; }





.view h1{ display: flex; width: 100%; justify-content: space-between; background: #00ad57 url("../imagens/icon_title_map_route.svg") no-repeat left+20px center; background-size: 30px auto; padding: 16px 20px; padding-left: 60px; }
.view h1 *{ font-size: 26px; font-weight: 800; color: #e0f9db; }
.view h1 b{ font-weight: 800; color: #c1f8af; }

.btn_focus_cardelivery{ width: 30px; height: 30px; background: url("../imagens/icon_focus_cardelivery.svg") no-repeat center; background-size: 60% auto; cursor: pointer; transition: all .3s; }
.btn_focus_cardelivery:hover{ background-size: 70% auto; }



/*
*
* LOGIN
*
*/
.login_app{ display: flex; width: 100%; min-height: 100vh; padding: 40px; align-items: center; justify-content: center; margin: 0 auto; background: #00ad57 url(../imagens/icon-shopao-line.svg) no-repeat center; background-size: contain; }
.container_login{ max-width: 560px; width: 100%; }

/*
*
* CLOSE DELIVERY
*
*/
.close_delivery{ display: none; background:var(--main-color); }
.close_delivery > div{ display: flex; align-items: center; justify-content: center; flex-direction: column; height: 100%; }
.close_delivery > div svg{ display: block; width: 60px; height: auto; margin: 0 auto; margin-bottom: 20px; }
.close_delivery > div svg path{ fill: #c7f843; }
.close_delivery > div p{ font-size: 26px; color: #e0f9db; font-weight: 700; text-align: center; }


/*
* LEFT
*/
.content_left{ justify-content: right; }

.content_left > div{ width: 410px; }
.content_left h2{ display: inline; font-size: 40px; font-weight: 700; color: #033f2f; background: #e0f9db none repeat scroll 0 0; ox-decoration-break: clone; -webkit-box-decoration-break: clone; line-height: 55px; padding: 8px 18px; padding-bottom: 10px; border-radius: 8px; letter-spacing: -0.5px; }
.content_left h2 b{ font-size: 40px; font-weight: 800; color: #033f2f; }


/*
* RIGHT
*/
.header_login{ display: flex; }
.icon_shopao{ width: 80px; margin-right: 10px; }
.icon_shopao img{ display: block; width: 100%; height: auto; }

.title_portal{ padding-top: 10px; }
.title_portal img{ display: block; width: 46px; height: auto; }
.title_portal h3{ font-size: 32px; font-weight: 700; color: #033f2f; letter-spacing: -0.2px; margin-left: -2px; }


.login .container_login{ position: relative; flex: 0 0 500px; width: 500px; }

.logo_login{ position: absolute; display: block; width: 290px; height: auto; margin: 0 auto; z-index: 20; left: 54px; top: -17px; }
.logo_login img{ display: block; width: 100%; height: auto; }

.wrapper_login{ background: #e0f9db; padding: 34px 40px; position: relative; border-radius: 10px; }

.msg_error{ background: #ff9402 url(../imagens/icon_error_login.svg) no-repeat center left +14px; background-size: auto 16px; padding: 12px; padding-left: 38px; margin-bottom: 8px; font-size: 12px; font-weight: 500; color: #fff; line-height: 16px; border-radius: 4px; }

.field{ position: relative; width: 100%; margin-bottom: 8px; }
.field .icon{ position: absolute; left: 0px; top: 0px; display: flex; align-items: center; justify-content: center; width: 40px; height: 100%; border: 1px solid #c7d5ce; border-right: 0; border-radius: 6px 0 0 6px; transition: all .2s; }
.field .icon svg{ width: 40%; fill: #b0c1b9; transition: all .2s; }
.field:focus-within svg{ fill: var(--main-color); }
.field:focus-within input, .field:focus-within .icon{ border-color: var(--main-color); transition: all .2s; }
.field:focus-within input{ box-shadow: 0 0 10px rgba(0, 173, 87, .2); }

.form_login p{ font-size: 10.5px; display: block; margin-bottom: 10px; line-height: 12px; color: #979787; }

.field .eye{ position: absolute; right: 0px; top: 0px; display: flex; align-items: center; justify-content: center; width: 40px; height: 100%; background: url(../imagens/eye-off.svg) no-repeat center; background-size: 50% auto; cursor: pointer; }
.field .eye.open{ background-image: url(../imagens/eye.svg); }

.form_login input{ width: 100%; padding: 16px; letter-spacing: 0px; font-size: 15px; font-weight: 500; padding-left: 40px; color: var(--main-text-color-dark); border: 1px solid #c7d5ce; border-radius: 6px; }
.form_login input::placeholder{ font-weight: 400; color: #b6b6b3; }
.input_pass{ padding-right: 30px !important; }

.btn_container_logar{ display: flex; width: 100%; }
.btn_container_logar button{ display: block; width: 100%; background: #033f2f; padding: 14px 20px; font-size: 18px; font-weight: 700; color: var(--main-text-color-clean); text-decoration: none; text-align: center; transition: all .2s; outline: none; border: none; cursor: pointer; border-radius: 6px; }
.btn_container_logar button:hover{ background: var(--main-color); color: var(--main-text-color-clean); }


.other_option_login{ border-top: 1px solid #deded9; padding-top: 20px; margin-top: 20px; }
.other_option_login p{ display: flex; align-items: end; justify-content: center; text-align: center; font-size: 12px; }
.other_option_login p a{ font-size: 13px; font-weight: 700; margin-bottom: -1px; margin-left: 4px; }


.footer_text{ padding-top: 10px; }
.footer_text p{ font-size: 10px; font-weight: 400; color: #033f2f; }
.footer_text p b{ font-weight: 700; color: #033f2f; }




/*
* HOME
*/
.home{ background: var(--main-color-clear-c); }
.window_delivery{ padding: 20px; margin-bottom: 30px; }

.window_delivery_hours{ display: flex; align-items: center; justify-content: space-between; margin-bottom: 14px; }
.window_delivery_hours p{ font-size: 18px; font-weight: 600; color: var(--main-color-dark); }

.barprogress_window_delivery{ width: 100%; height: 30px; background: #c1f8af; border-radius: 4px; }
.barprogress_window_delivery > div{ position: relative; width: 0; height: 100%; background: #00ad57; transition: all .3s; border-radius: 4px; }
.barprogress_window_delivery > div p{ position: absolute; right: 0px; top: -14px; font-size: 10px; font-weight: 300; opacity: .5; }


.content_orders{ width: 100%; padding: 50px 0; text-align: center; }
.content_orders p{ display: block; font-size: 20px; font-weight: 300; text-align: center; padding: 20px 0; margin-bottom: 30px; }

.total_order{ width: 100%; font-size: 118px; font-weight: 200; color: var(--main-color); text-align: center; margin-bottom: 30px; }

.content_orders span{ display: block; font-size: 11px; font-weight: 200; text-align: center; }



/*
*
* ROUTE APPROVE
*
*/
.content_approve_route{ display: flex; flex-direction: column; justify-content: space-between; height: 100%; }

.route_approve{ background: #033f2f url(../imagens/icon-shopao-line.svg) no-repeat center; background-size: contain; }

.approve_infos_route{ display: flex; flex-direction: column; align-items: center; justify-content: center; margin-top: 100px; padding: 0 50px; }
.name_route{ font-size: 50px; font-weight: 200; color: #e0f9db; margin-bottom: 10px; }
.name_route b{ font-weight: 700; color: #e0f9db; }
.name_route b span{ color: #e0f9db; }

.total_order_intheroute{ font-size: 20px; font-weight: 100; color: #e0f9db; text-align: center; }
.total_order_intheroute b, .total_order_intheroute b span{ color: #e0f9db; }

.options_route{ display: flex; align-items: center; justify-content: space-between; padding: 0 50px; margin-bottom: 100px; }

.option_route{ text-align: center; transition: all .2s; margin: 0px; }
.option_route p{ display: block; width: 100%; font-size: 14px; font-weight: 200; color: #e0f9db; text-align: center; }
.option_route.active{ margin: 0px auto; transform: scale(1.5); }

.btn_route{ width: 90px; height: 90px; border-radius: 50%; margin-bottom: 10px; cursor: pointer; }

.btn_recuse_route{ background: #f03800 url("../imagens/icon_route_decline.svg") no-repeat center; background-size: 40% auto; }
.btn_approve_route{ background: var(--main-color) url("../imagens/icon_route_approve.svg") no-repeat center; background-size: 40% auto; }



/*
*
* ROUTE COLLECT
*
*/
.route_collect{  }
.content_route_collect{ display: flex; align-items: center; flex-direction: column; height: 100%; }

.infos_route{ height: 16px; font-size: 12px !important; font-weight: 200 !important; }

.content_route_map{ position: relative; width: 100%; height: 100%; }

.content_list_orders{ display: none; position: absolute; left: 0px; top: 0px; width: 100%; height: 100%; z-index: 500; background: rgba(0,0,0,.6); }
.wrapper_list_orders{ display: flex; align-items: center; justify-content: center; width: 100%; height: 100%; }
.list_orders{ display: flex; flex-direction: column; justify-content: start; width: calc(100% - 50px); height: calc(100% - 50px); background: #fff; border-radius: 6px; padding: 20px; }
.list_orders h3{ position: relative; font-size: 22px; font-weight: 200; border-bottom: 1px solid #e3e9e6; padding-bottom: 14px; margin-bottom: 20px; padding-right: 30px; }
.list_orders h3 a{ font-weight: 700; }
.close_list_orders{ position: absolute; right: 0px; top: 6px; width: 16px; height: 16px; background: url("../imagens/icon_close.svg") no-repeat center; background-size: cover; cursor: pointer; }


.list_o{ flex: 0 1 100%; overflow: auto; }

.line_order{ display: flex; align-items: center; justify-content: space-between; padding: 14px 10px; border-radius: 6px; }
.line_order:nth-child(odd){ background: #f2f2f2; }

.infos_order{ display: flex; flex-direction: column; }
.infos_order span{ font-size: 11px; font-weight: 200; }
.infos_order p{ font-size: 18px; font-weight: 800; }


.actions_order{ display: flex; align-items: start; }


.status_collect_order{ background: url("../imagens/icon_check_order_collected.svg") no-repeat left center; background-size: auto 80%; padding-left: 22px; padding-top: 1px; font-size: 13px; font-weight: 300; }

.open_scan_qrcode{ background: #00ad57 url(../imagens/icon_scan_qrcode_order.svg) no-repeat left +10px center; background-size: auto 42%; padding: 8px 14px; padding-left: 32px; border-radius: 4px; font-size: 12px; font-weight: 500; color: #fff; cursor: pointer; }
.recuse_order{ background: #f03800; padding: 8px 10px; border-radius: 4px; font-size: 11px; font-weight: 300; color: #fff; cursor: pointer; margin-left: 4px; }


.content_collect_done{ position: absolute; left: 0px; top: 0px; width: 100%; height: 100%; z-index: 500; background: rgba(0,0,0,.6); }
.wrapper_collect_done{ display: flex; align-items: center; justify-content: center; width: 100%; height: 100%; }
.collect_done_msg{ display: flex; align-items: center; justify-content: center; flex-direction: column; width: calc(100% - 50px); height: calc(100% - 50px); background: #fff; border-radius: 6px; padding: 20px; font-size: 14px; }
.collect_done_msg p{ display: block; width: 100%; font-size: 26px; font-weight: 600; text-align: center; }

.collect_done_msg .icon_success_collect{ width: 80px; height: 80px; background: url("../imagens/icon_party.svg") no-repeat center; background-size: contain; margin-bottom: 20px; margin-left: 40px; }
.collect_done_msg .icon_success_collect_stop{ width: 80px; height: 80px; background: url("../imagens/icon_done_collect.svg") no-repeat center; background-size: contain; margin-bottom: 20px; }
.collect_done_msg .icon_success_delivery_stop{ width: 80px; height: 80px; background: url("../imagens/icon_done_delivery.svg") no-repeat center; background-size: contain; margin-bottom: 20px; }
.collect_done_msg .icon_aborted_collect{ width: 80px; height: 80px; background: url("../imagens/icon_route_aborted.svg") no-repeat center; background-size: contain; margin-bottom: 20px; margin-left: 40px; }
.collect_done_msg .text_create_route_delivery{ font-size: 15px; font-weight: 200; text-align: center; margin-top: 20px; }


.map_routes{ width: 100%; height: 100%; z-index: 200; }
#controls{ padding: 10px; }

.leaflet-control-attribution{ display: none; }

.footer_route{ display: flex; align-items: center; justify-content: space-between; width: 100%; padding: 20px; padding-bottom: 30px; border-top: 1px solid #e3e9e6; }
.footer_route > div{ display: none; }

.text_collect{ font-size: 22px; font-weight: 200; }

.infos_partner{ padding-top: 10px; }
.name_partner{ font-size: 14px; font-weight: 800; }
.address_partner{ font-size: 14px; }

.btn_see_orders{ display: ; background: #00ad57; padding: 14px 18px; border-radius: 4px; font-size: 14px; font-weight: 700; color: #fff; cursor: pointer; }


#qr-reader, #qr_reader_delivery {
    display: none;
  position: absolute !important;
  inset: 0;            /* top, right, bottom, left = 0 */
  background: black;
  z-index: 9999;
}

/* 🎯 O VÍDEO DA CÂMERA */
#qr-reader video, #qr_reader_delivery video {
  width: 100% !important;
  height: 100% !important;
  object-fit: cover;   /* 🔥 chave para preencher sem distorcer */
}

.close_camera_realtime{ position: absolute; left: 0px; top: 0px; width: 100%; display: flex; align-items: center; justify-content: right; z-index: 500; padding: 10px; }
.close_camera_realtime div{ width: 30px; height: 30px; border-radius: 50%; background: #e0f9db url("../imagens/icon_close.svg") no-repeat center; background-size: 40% auto; cursor: pointer; }